Skip to main content
GET
/
api
/
v1
/
app-connections
/
options
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections/options
import requests

url = "https://us.infisical.com/api/v1/app-connections/options"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/app-connections/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appConnectionOptions": [
    {
      "name": "AWS",
      "app": "aws",
      "methods": [],
      "accessKeyId": "<string>"
    }
  ]
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Query Parameters

projectType
enum<string>
Available options:
secret-manager,
cert-manager,
kms,
ssh,
secret-scanning,
pam,
ai

Response

Default Response

appConnectionOptions
(AWS · object | GitHub · object | GitHub Radar · object | GCP · object | Azure Key Vault · object | Azure App Configuration · object | Azure DevOps · object | Databricks · object | Humanitec · object | Terraform Cloud · object | Vercel · object | PostgreSQL · object | Microsoft SQL Server · object | MySQL · object | Camunda · object | Auth0 · object | Hashicorp Vault · object | Azure Client Secrets · object | Windmill · object | LDAP · object | TeamCity · object | OCI · object | OracleDB · object | 1Password · object | Heroku · object | Hasura Cloud · object | Render · object | Fly.io · object | Trigger.dev · object | GitLab · object | Cloudflare · object | Bitbucket · object | Zabbix · object | Railway · object | Checkly · object | CircleCI · object | Cloud 66 · object | Supabase · object | DigitalOcean App Platform · object | Netlify · object | Northflank · object | Okta · object | Azure ADCS (Web Enrollment) · object | Microsoft ADCS · object | Redis · object | object | Laravel Forge · object | Chef · object | DNS Made Easy · object | Azure DNS · object | Octopus Deploy · object | SMB · object | SSH · object | DBT · object | OpenRouter · object | OpenAI · object | Azure Entra ID · object | Venafi TLS Protect Cloud · object | Venafi TPP · object | Infisical · object | Doppler · object | NetScaler · object | Anthropic · object | OVH · object | Devin · object | Ona · object | DigiCert · object | GoDaddy · object | Travis CI · object | Salesforce · object | Snowflake · object | Datadog · object | F5 BIG-IP · object | Convex · object | Rundeck · object | Qovery · object | LiteLLM · object | Fireworks · object)[]
required